Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.script
Class ScriptLoad

    java.lang.Object
      org.encog.app.analyst.script.ScriptLoad

    public class ScriptLoad

extends Object

Used to load an Encog Analyst script.

Field Summary
`static int` | `COLUMN_FIVE` Column 5.
`static int` | `COLUMN_FOUR` Column 4.
`static int` | `COLUMN_ONE` Column 1.
`static int` | `COLUMN_THREE` Column 3.
`static int` | `COLUMN_TWO` Column 2.

Constructor Summary
`ScriptLoad(AnalystScript theScript)` Construct a script loader.

Method Summary
`void` | `load(InputStream stream)` Load an Encog script.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_ONE

    public static final int COLUMN_ONE

  Column 1.

  See Also:
    Constant Field Values

### COLUMN_TWO

    public static final int COLUMN_TWO

  Column 2.

  See Also:
    Constant Field Values

### COLUMN_THREE

    public static final int COLUMN_THREE

  Column 3.

  See Also:
    Constant Field Values

### COLUMN_FOUR

    public static final int COLUMN_FOUR

  Column 4.

  See Also:
    Constant Field Values

### COLUMN_FIVE

    public static final int COLUMN_FIVE

  Column 5.

  See Also:
    Constant Field Values

Constructor Detail

### ScriptLoad

    public ScriptLoad(AnalystScript theScript)

  Construct a script loader.

  Parameters:
    `theScript` - The script to load into.

Method Detail

### load

    public final void load(InputStream stream)

  Load an Encog script.

  Parameters:
    `stream` - The stream to load from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.